commit:     1a33da47e59649895b62ba70111a3d046c06685a
Author:     Jaco Kroon <jaco <AT> uls <DOT> co <DOT> za>
AuthorDate: Wed Aug 30 21:26:57 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Sep 22 08:31:02 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a33da47

net-voip/sipvicious: 0.3.4-r1 (PEP517).

Closes: https://bugs.gentoo.org/910014
Signed-off-by: Jaco Kroon <jaco <AT> uls.co.za>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-voip/sipvicious/sipvicious-0.3.4-r1.ebuild | 29 ++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/net-voip/sipvicious/sipvicious-0.3.4-r1.ebuild 
b/net-voip/sipvicious/sipvicious-0.3.4-r1.ebuild
new file mode 100644
index 000000000000..c7af6c8c7db5
--- /dev/null
+++ b/net-voip/sipvicious/sipvicious-0.3.4-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_SINGLE_IMPL=1
+
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="SIPVicious is a SIP security package"
+HOMEPAGE="https://github.com/EnableSecurity/sipvicious/wiki";
+SRC_URI="https://github.com/EnableSecurity/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="$(python_gen_cond_dep '
+               dev-python/dnspython[${PYTHON_USEDEP}]
+               dev-python/reportlab[${PYTHON_USEDEP}]
+       ')"
+
+src_prepare() {
+       default
+       sed -re 's:man/man1:share/man/man1:' -i setup.py || die "Error updating 
man page installation location."
+}

Reply via email to